org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class OdbcQueryExecuteRequest
    extends OdbcRequest

SQL listener query execute request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_RESULTSET, META_TBLS, MORE_RESULTS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH, STREAMING_BATCH`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteRequest(@Nullable String schema, String sqlQry, Object[] args, int timeout, boolean autoCommit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `arguments()`
`boolean` `autoCommit()`
`@Nullable String` `schema()`
`String` `sqlQuery()`
`int` `timeout()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteRequest

    public OdbcQueryExecuteRequest(@Nullable
                                   @Nullable String schema,
                                   String sqlQry,
                                   Object[] args,
                                   int timeout,
                                   boolean autoCommit)

Parameters:
  `schema` - Schema.
  `sqlQry` - SQL query.
  `args` - Arguments list.
  `timeout` - Timeout in seconds.

### Method Detail

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public Object[] arguments()

Returns:
  Sql query arguments.

#### schema

    @Nullable
    public @Nullable String schema()

Returns:
  Schema.

#### timeout

    public int timeout()

Returns:
  Timeout in seconds.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### autoCommit

    public boolean autoCommit()

Returns:
  Autocommit flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023